Bug 460703 - multiple status icons for Input Method displayed
multiple status icons for Input Method displayed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10DesktopBlocker
  Show dependency treegraph
 
Reported: 2008-08-29 17:07 EDT by Matthias Clasen
Modified: 2008-10-07 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 12:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the two icons (21.52 KB, image/png)
2008-08-29 22:53 EDT, Matthias Clasen
no flags Details
context menu (33.18 KB, image/png)
2008-08-29 23:24 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Matthias Clasen 2008-08-29 17:07:10 EDT
A little keyboard and a plug/socket thing.

Really, more than one status icon is too much.
Comment 1 Peng Huang 2008-08-29 20:17:28 EDT
You mean two SCIM status icons in sys tray?
Did you start any gtk applications under root or other users privilege?
Comment 2 Matthias Clasen 2008-08-29 21:57:21 EDT
No.
There is one keyboard icon that lets me select a language.
And then there is an icon that "disconnects the IM" if I click it, whatever that means. 
The second one is new.
Comment 3 Peng Huang 2008-08-29 22:14:28 EDT
Please attach a snapshot for it. Thanks.
Comment 4 Matthias Clasen 2008-08-29 22:53:31 EDT
Created attachment 315411 [details]
the two icons
Comment 5 Peng Huang 2008-08-29 23:09:39 EDT
Are you sure this icon is belong to SCIM? I have never saw this icon before.
Comment 6 Matthias Clasen 2008-08-29 23:24:06 EDT
Let me show you the context menu on the 'mystery icon'
Comment 7 Matthias Clasen 2008-08-29 23:24:44 EDT
Created attachment 315412 [details]
context menu
Comment 8 Peng Huang 2008-08-29 23:54:48 EDT
Hi Jens & Tagoh, Do you know what is this icon for?
Comment 9 Akira TAGOH 2008-08-31 22:25:52 EDT
That is an icon for imsettings-applet, which is to provide a facility to manage the connection of IM temporarily without changing the real configuration on im-chooser.
Comment 10 Matthias Clasen 2008-09-05 10:34:53 EDT
Can we please either make that optional (add some way to get rid of the extra icon) or better, integrate it into one 'input method' status icon ?

Two separate statusicons is really too much.
Comment 11 Akira TAGOH 2008-09-08 07:23:41 EDT
Sure. integrating IM icons sounds ideal though, I have no idea and no time to do that for Fedora 10 maybe. I'll work to hide an icon from the preference if one likes. but I would enable the icon by default to not miss the feature to manage the connection of IM and to change IM from the applet temporarily.
Comment 12 Tony Fu 2008-09-09 23:14:40 EDT
requested by Jens Petersen (#27995)
Comment 13 Akira TAGOH 2008-09-11 06:29:23 EDT
Fixed in svn - added a checkbox in the preference dialog to show/hide the status icon.
Comment 14 Matthias Clasen 2008-09-12 02:23:13 EDT
Whats the default for that preference ?

And can we also have a context menu item on the icon, for the same preference ?
Comment 15 Akira TAGOH 2008-09-12 06:07:06 EDT
(In reply to comment #14)
> Whats the default for that preference ?

the default is "show the status icon". currently changing the value on gconf directly is the way to show the status icon so far if it's hidden. perhaps im-chooser could has a check button for that though.

> 
> And can we also have a context menu item on the icon, for the same preference ?

You mean to turn off the status icon without opening the preference dialog quickly?
Comment 16 Matthias Clasen 2008-09-13 20:54:33 EDT
> the default is "show the status icon". currently changing the value on gconf
> directly is the way to show the status icon so far if it's hidden. perhaps
> im-chooser could has a check button for that though.

I'd much rather see work being done on the 'right' solution: integrate the 'connect/disconnect' functionality in the main scim statusicon. 

If we can't have that for F10, I'd prefer to have the default be 'off', with a checkbox in im-chooser to turn it on.
Comment 17 Akira TAGOH 2008-09-14 23:41:37 EDT
Ok, changed gconf schema and im-chooser in svn, behaves so.
Comment 18 Jens Petersen 2008-09-16 03:28:41 EDT
> > And can we also have a context menu item on the icon, for the same preference ?
> 
> You mean to turn off the status icon without opening the preference dialog
> quickly?

I think Matthias meant something like: Right click -> "Hide applet".

I think it would be ok in general to hide the applet by default once IM has been activated from it.
Comment 19 Akira TAGOH 2008-09-19 01:18:41 EDT
Fixed in imsettings-0.104.0-1.fc10 and im-chooser-1.2.3-1.fc10. the status icon is hidden by default and im-chooser has an option to show it up again.

I like an Jens' idea that the icon is hidden when IM is connected and displayed when IM is disconnected btw.
Comment 20 Akira TAGOH 2008-09-24 23:44:32 EDT
Doh. missed .schemas file in 0.104.0. the real fix will be in next release.
Comment 21 Akira TAGOH 2008-09-25 03:33:50 EDT
Fixed in imsettings-0.104.1-1.fc10.
Comment 22 Matthias Clasen 2008-10-07 12:33:36 EDT
Closing to get this off the bug lists.

Note You need to log in before you can comment on or make changes to this bug.